import styled from 'styled-components';
import { clickable, primary } from "../../../utils";
import defaultTheme from "../../../theme";
export var MenuItem = styled.div.withConfig({ displayName: "MenuItem", componentId: "sc-15jf9iu" })({
    position: 'relative',
    display: 'flex',
    alignItems: 'center',
    '& h1, h2, h3': {
        padding: 0,
    },
}, function (_a) {
    var noPaddingX = _a.noPaddingX, noPaddingY = _a.noPaddingY;
    return ({
        padding: (noPaddingY ? 0 : '2em') + " " + (noPaddingX ? 0 : '0.75em'),
    });
}, function (_a) {
    var flex = _a.flex;
    return flex && {
        flex: flex,
    };
}, 
// Colourable
function (props) { return (props.color && !props.tabbed ? primary(props) : null); }, 
// Make clickable
function (props) {
    if (!props.onClick && !props.href) {
        return;
    }
    if (!props.tabbed) {
        return clickable(props);
    }
    return {
        position: 'relative',
        cursor: 'pointer',
        transition: ' background-color .25s ease-out',
        '&:not(:last-child)': {
            marginRight: '1px',
        },
        '&:after': {
            content: '""',
            display: 'block',
            position: 'absolute',
            bottom: 0,
            left: 0,
            right: 0,
            height: 2,
            backgroundColor: props.color
                ? props.theme.colors[props.color].default
                : props.theme.greyscale.darker,
            opacity: 0,
            transition: 'opacity .25s ease-out',
            zIndex: 1,
        },
        '&:active:hover': {},
        '&:hover, &:focus': {
            backgroundColor: 'rgba(0, 0, 0, 0.01)',
            '&:after': {
                opacity: 1,
            },
        },
    };
}, 
//Active
function (_a) {
    var active = _a.active, tabbed = _a.tabbed;
    if (!active) {
        return;
    }
    if (tabbed) {
        return {
            backgroundColor: 'rgba(0, 0, 0, 0.01)',
            fontWeight: 600,
            '&:after': {
                opacity: 1,
            },
        };
    }
    // @todo
    return {};
}, 
// Border
function (_a) {
    var _b;
    var border = _a.border, theme = _a.theme;
    if (!border) {
        return null;
    }
    return _b = {},
        _b[border === 'right'
            ? 'borderRight'
            : 'borderLeft'] = "1px solid " + theme.greyscale.dark,
        _b;
}, 
// Position
function (_a) {
    var position = _a.position;
    if (!position || position === 'left') {
        return null;
    }
    return {
        marginLeft: 'auto',
    };
});
MenuItem.defaultProps = {
    theme: defaultTheme,
};
