import React from 'react';
import { FilterValue } from '../../types';
export var getKiStats = function (counts, openKim) { return [
    {
        title: (React.createElement("span", null,
            "Knowledge Items in ",
            React.createElement("b", null, "Validation Mode"))),
        description: (React.createElement("div", null,
            React.createElement("strong", null, "What it is:"),
            React.createElement("p", null, "If you deploy a Knowledge Item from the Knowledge Acquisition Tool into Validation Mode, the Knowledge Item will be checked against all incoming tasks as if it would be working on the affected issues"),
            React.createElement("strong", null, "What does it tell:"),
            React.createElement("p", null, "The statistics about the potential application for each Knowledge Item can be found in the Knowledge Item Manager. The statistics can give you an indication if the quality of the affected Knowledge Item is sufficient or if improvement is required"))),
        value: counts.validation,
        action: function () { return openKim(FilterValue.DEPLOYED_TO_VALIDATE); },
    },
    {
        title: (React.createElement("span", null,
            React.createElement("b", null, "Undeployed"),
            " Knowledge Items")),
        description: (React.createElement("div", null,
            React.createElement("strong", null, "What it is:"),
            React.createElement("p", null, "If a Knowledge Item is not being deployed into the Validation or Live modes from the Knowledge Acquisition Tool - the Knowledge Item will remain in the Undeployed state. Therefore, the affected Knowledge Item will not be tested or applied in an automation process"),
            React.createElement("strong", null, "When is this useful:"),
            React.createElement("p", null, "Incase you are still working on a Knowledge Item or want to ask a peer for review - it makes sense to leave the Knowledge Item in the Undeployed state."))),
        value: counts.undeployed,
        action: function () { return openKim(FilterValue.UNDEPLOYED); },
    },
    {
        title: (React.createElement("span", null,
            React.createElement("b", null, "Live"),
            " Knowledge Items")),
        description: (React.createElement("div", null,
            React.createElement("strong", null, "What it is:"),
            React.createElement("p", null, "If you deploy a Knowledge Item into the Live Mode, this Knowledge Item will be triggered during automation solution creation and will help to solve automation tasks"),
            React.createElement("strong", null, "Where can I inspect this:"),
            React.createElement("p", null, "All statistics about the performance of a Knowledge Item no matter if in Live or Validation Mode can be found in the Knowledge Item Manager application"))),
        value: counts.live,
        action: function () { return openKim(FilterValue.DEPLOYED_TO_LIVE); },
    },
    {
        title: 'Total Knowledge Items available',
        description: '',
        value: counts.total,
        primary: true,
        action: function () { return openKim(FilterValue.ALL); },
    },
]; };
